/* © SRSoftware 2025 */
package de.srsoftware.umbrella.bookmarks;

import de.srsoftware.umbrella.core.model.Bookmark;
import de.srsoftware.umbrella.core.model.UmbrellaUser;
import java.time.LocalDateTime;
import java.util.Collection;
import java.util.Map;

public interface BookmarkDb {
	Map<Long, Bookmark> findUrls(long userId, Collection<String> key);

	Map<Long, String> findUrls(String key);

	Map<Long, Bookmark> list(long userId, Long offset, Long limit);

	Bookmark load(long id, long userId);

	void remove(UmbrellaUser user, Bookmark bookmark);

	Bookmark save(String url, String comment, Collection<Long> userIds, LocalDateTime datetime);

	default Bookmark save(String url, String comment, Collection<Long> userIds){
		return save(url,comment,userIds,LocalDateTime.now());
	}
}
